#include <bits/stdc++.h>

using namespace std;

struct pacijent{
    string kg;
    int jed;
    int rb;
    vector<int>dobio=vector<int>(4,0);
};

bool comp_pac2(const pacijent &pac1, const pacijent &pac2){
    return pac1.rb<pac2.rb;
}

bool comp_pac1(const pacijent &pac1, const pacijent &pac2){
    if(pac1.kg=="O"){
        if(pac2.kg!="O")return true;
        if(pac1.jed<pac2.jed)return true;
    }
    if(pac1.kg=="A" && pac2.kg!="O"){
        if(pac2.kg!="A")return true;
        if(pac1.jed<pac2.jed)return true;
    }
    if(pac1.kg=="B" && pac2.kg!="O" && pac2.kg!="A"){
        if(pac2.kg!="B")return true;
        if(pac1.jed<pac2.jed)return true;
    }
    if(pac1.jed<pac2.jed && pac2.kg!="A" && pac2.kg!="B" && pac2.kg!="O")return true;
}

int main(){

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    cout<<"moguce"<<'\n';
    cout<<"1 0 0 0\n";
    cout<<"1 0 0 0\n";
    cout<<"0 0 2 1\n";
}